Name:           pulseeffects
Version:        4.4.7
Release:        1%{?dist}
Summary:        Audio effects for Pulseaudio applications

License:        GPLv3
URL:            https://github.com/wwmm/%{name}
Source0:        %{url}/archive/v%{version}.tar.gz#/%{name}-%{version}.tar.gz

BuildRequires:  boost-devel
BuildRequires:  cmake3
BuildRequires:  desktop-file-utils
BuildRequires:  gcc-c++
BuildRequires:  itstool
BuildRequires:  libappstream-glib
BuildRequires:  meson
BuildRequires:  pkgconfig(fftw3)
BuildRequires:  pkgconfig(glibmm-2.4)
BuildRequires:  pkgconfig(gstreamer-1.0)
BuildRequires:  pkgconfig(gstreamer-audio-1.0)
BuildRequires:  pkgconfig(gstreamer-base-1.0)
BuildRequires:  pkgconfig(gstreamer-fft-1.0)
BuildRequires:  pkgconfig(gstreamer-controller-1.0)
BuildRequires:  pkgconfig(gstreamer-plugins-bad-1.0)
BuildRequires:  pkgconfig(gtk+-3.0)
BuildRequires:  pkgconfig(gtkmm-3.0)
BuildRequires:  pkgconfig(libbs2b)
BuildRequires:  pkgconfig(libebur128)
BuildRequires:  pkgconfig(lilv-0) 
BuildRequires:  pkgconfig(libpulse)
BuildRequires:  pkgconfig(rubberband)
BuildRequires:  pkgconfig(samplerate)
BuildRequires:  pkgconfig(sigc++-2.0)
BuildRequires:  pkgconfig(sndfile)
BuildRequires:  zita-convolver-devel     

%description
Audio effects for Pulseaudio applications

%prep
%autosetup

%build
%meson
%meson_build


%install
%meson_install
desktop-file-validate \
 %buildroot%{_datadir}/applications/com.github.wwmm.pulseeffects.desktop
appstream-util validate-relax \
 --nonet %buildroot%{_metainfodir}/com.github.wwmm.pulseeffects.appdata.xml
%find_lang %{name}

%files -f %{name}.lang
%license LICENSE.md
%doc CHANGELOG.md README.md
%{_bindir}/pulseeffects
%{_libdir}/gstreamer-1.0/libgstpeadapter.so
%{_libdir}/gstreamer-1.0/libgstpeautogain.so
%{_libdir}/gstreamer-1.0/libgstpeconvolver.so
%{_libdir}/gstreamer-1.0/libgstpecrystalizer.so
%{_datadir}/applications/com.github.wwmm.pulseeffects.desktop
%{_datadir}/dbus-1/services/com.github.wwmm.pulseeffects.service
%{_datadir}/glib-2.0/schemas/com.github.wwmm.pulseeffects.*
%{_datadir}/help/*/pulseeffects/
%{_datadir}/icons/hicolor/scalable/apps/pulseeffects.svg
%{_metainfodir}/com.github.wwmm.pulseeffects.appdata.xml


%changelog
* Fri Jan 25 2019 Leigh Scott <leigh123linux@googlemail.com> - 4.4.7-1
- Update to 4.4.7

* Sat Dec 29 2018 Leigh Scott <leigh123linux@googlemail.com> - 4.4.1-1
- First build
